# pymrm: Python Package for Multiphase Reactor Modeling

## Overview

pymrm is a Python package for modeling multiphase reactors, developed as part of the Multiphase Reactor Modeling course at Eindhoven University of Technology. Originally implemented in Matlab, pymrm is now a Python-based, open-access tool designed for accessibility and advanced modeling.

## Features

- Tools for modeling diffusion, convection, reaction, and mass transfer.
- User-friendly interface for students and professionals.
- Extensive documentation and example-based learning.

## Installation

Install pymrm directly from PyPI:
```sh
pip install pymrm
```

For detailed instructions, see the [Installation Guide](https://github.com/multiscale-modelling-multiphase-flows/pymrm/blob/main/docs/installation.md).

## Quickstart

Start with the tutorials in the [`tutorials`](https://github.com/multiscale-modelling-multiphase-flows/pymrm/tree/main/tutorials) folder to learn the basics of pymrm. Then, explore the [`examples`](https://github.com/multiscale-modelling-multiphase-flows/pymrm/tree/main/examples) folder for more advanced use cases, including modeling diffusion, convection, and reaction processes.

For extensive documentation, exercises, and additional resources, visit the [PyMRM documentation site](https://multiscale-modelling-multiphase-flows.github.io/pymrm-book).

## Contributing

Contributions are welcome! For suggestions or enhancements, please contact us or submit a pull request.